[Android] only touch .zlib if it's not already there
Sébastien Toque
git at videolan.org
Tue Aug 13 11:23:39 CEST 2013
vlc-ports/android | branch: master | Sébastien Toque <xilasz at gmail.com> | Tue Aug 13 11:23:08 2013 +0200| [a0389655caad31309fbe850374a6d87fc78f3718] | committer: Sébastien Toque
only touch .zlib if it's not already there
> http://git.videolan.org/gitweb.cgi/vlc-ports/android.git/?a=commit;h=a0389655caad31309fbe850374a6d87fc78f3718
---
compile.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/compile.sh b/compile.sh
index b5b9ca1..003184a 100755
--- a/compile.sh
+++ b/compile.sh
@@ -207,7 +207,7 @@ export VLC_EXTRA_CFLAGS="${EXTRA_CFLAGS}"
make fetch
# We already have zlib available
-mkdir -p zlib; touch .zlib
+[ -e .zlib ] || (mkdir -p zlib; touch .zlib)
make $MAKEFLAGS
cd ../.. && mkdir -p android && cd android
More information about the Android
mailing list